#
# spec file for package proteus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define majorver 4.2
Name:           proteus
Version:        %{majorver}.1
Release:        3.1
Summary:        A library to access Tryton's modules like a client
License:        GPL-3.0+
Group:          Productivity/Office/Management
Url:            http://www.tryton.org/
Source0:        http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
# List of additional build dependencies
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-lxml
BuildRequires:  python-psycopg2
BuildRequires:  python-pydot
BuildRequires:  python-setuptools
Requires:       python-cdecimal
Requires:       python-dateutil
Requires:       python-simplejson
Requires:       trytond
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Proteus allows you to access Tryton's modules like a client. Useful for automation, data load etc.

%prep
%setup -q 

%build 
python setup.py build

%install
python setup.py install --prefix=%_prefix --root=%buildroot 
%fdupes -s %{buildroot}

%files 
%defattr(-,root,root)
%doc README LICENSE
%{python_sitelib}/*

%changelog
* Thu Nov  9 2017 axel.braun@gmx.de
- Version 4.2.1 - Bugfix Release
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Sat May 14 2016 axel.braun@gmx.de
- version 4.0
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Sat Oct 26 2013 axel.braun@gmx.de
- initial build on OBS
